//+------------------------------------------------------------------+
//|                                                   news FEEDS.mq4 |
//|                        Copyright 2022, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2022, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict

//#include  <Tools/INETDoawnload.mqh>

#include  <ffCalanderDownload.mqh>
extern string HtmlAdress = "https://nfs.faireconomy.media/ff_calendar_thisweek.csv";
extern string GetrightAdress = "c:\progra~1\getright\getright.exe";
 
#include <Time.mqh>
#import "kernel32.dll"
int WinExec(string NameEx, int dwFlags);
#import


//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---
   CINetDownload *downloader = new CINetDownload("Orchard\\News",50000);
   bool  success             = downloader.Download("https://nfs.faireconomy.media/ff_calendar_thisweek.csv","calendar.csv");       
   string response           = downloader.Response();
   int    error              = 0; 
   
   
   if(!success){
   PrintFormat("failed to download");
   error = downloader. Error(); //not doing anything with this, just demonstration
   }else{
   string lines[];
   string columns[];
   int size = StringSplit(response, '\n', lines);
   for (int i =0; i<size; i++){
         StringSplit(lines[i], ',', columns);
         PrintFormat("Title=%s,Country=%s, Date=%s, Time=%s, Impact= %s, Forecast=%s, Previous=%s",
                     columns[0], columns[1], columns[2], columns[3], columns[4], columns[5], columns[6]);
   }
   }
   delete downloader;
   }
   
   
   
   
   
   
  
//+------------------------------------------------------------------+
